---
schema_version: "1"
id: ba6c3ef50af8f39011a61835339e9f11ec2ad6c0b16aa6355426dd9245df062c
title: Get a List of Deleted Records Within a Given Timeframe
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-get-deleted.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-get-deleted.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: a6b9a90abdc417611d59e194ee9d8c7895df5ea4feefcfaced550e486de3f704
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get a List of Deleted Records Within a Given Timeframe

Use the sObject Get Deleted resource to get a list of deleted records for the specified object. Specify the date and time range within which the records for the given object were deleted. Deleted records are written to a delete log (that is periodically purged), and will be filtered out of most operations, such as sObject Rows or Query (although QueryAll will include deleted records in results).

## Example usage for getting a list of Merchandise__c records that were deleted between May 5th, 2013 and May 10th, 2013

```nolang
curl https://MyDomainName.my/services/data/v68.0/sobjects/Merchandise__c/deleted/​​​?start=2013-05-05T00%3A00%3A00%2B00%3A00&end=2013-05-10T00%3A00%3A00%2B00%3A00 -H "Authorization: Bearer token"
```

## Example request body

None required

## JSON example response body

```nolang
{ 
    "deletedRecords" : 
    [ 
        { 
            "id" : "a00D0000008pQRAIA2", 
            "deletedDate" : "2013-05-07T22:07:19.000+0000"
        }
    ],
    "earliestDateAvailable" : "2013-05-03T15:57:00.000+0000",
    "latestDateCovered" : "2013-05-08T21:20:00.000+0000"
}
```

## XML example response body

```nolang
<?xml version="1.0" encoding="UTF-8"?> 
<Merchandise__c> 
    <deletedRecords> 
        <deletedDate>2013-05-07T22:07:19.000Z</deletedDate> 
        <id>a00D0000008pQRAIA2</id> 
    </deletedRecords>
    <earliestDateAvailable>2013-05-03T15:57:00.000Z</earliestDateAvailable>
    <latestDateCovered>2013-05-08T21:20:00.000Z</latestDateCovered>
</Merchandise__c>
```

